Eclipse BIRT Report Object Model (ROM)

SimpleDataSet Element

# Element Overview

The data set element represents a result set retrieved from an external data provider.

### Details

Display Name: | Simple Data Set
Since: | 1.0
XML Element: | `None`
Extends: | DataSet
Extendable: | No
Abstract: | Yes
Name Space: | Data Sets
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | No

### Property Summary

dataSetRowLimit
  Number of rows that will be cached when the data rows are retrieved from DB.
paramBindings
  A list of data set parameter binding elements that bind data set input parameters to BIRT expressions.
refTemplateParameter
  Name of the template parameter definition.

### Method Summary

afterClose
  Called just after BIRT closes the data set. Allows the application to perform code-based cleanup.
afterOpen
  Called just after BIRT opens the data set. Allows the application to perform any code-based initialization required for the data set.
beforeClose
  Called just before BIRT closes the data set. Allows the application to perform code-based cleanup.
beforeOpen
  Called just before BIRT opens the data set. Allows the application to customize the data set properties.
onFetch
  Called just after fetching each row before applying filters or calculating computed columns.

### Inherited Properties

cachedMetaData, columnHints, comments, computedColumns, customXml, displayName, displayNameID, eventHandlerClass, extends, filter, name, needsCache, newHandlerOnEachEvent, parameters, propertyMasks, resultSetHints, rowFetchLimit, sortHints, userProperties, viewAction

### Inherited Property Notes

name
  The name is required to identify a data set.

### Description

The Data Set element is an abstract element that includes data-access and report-related properties and other content common to all kinds of data sets.

Its script methods execute as methods of a JavaScript object that represents the data set. See the Data Scripting Objects section for a description of the `DataSet` scripting object.

### See Also

`DataSet scripting object`

# Property Detail

## dataSetRowLimit Property

Number of rows that will be cached when the data rows are retrieved from DB.

### Details

Type: | integer
Since: | 2.2
Required: | No
Display Name: | Data set row limit
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

Number of rows that will be cached when the data rows are first time retrieved from DB, the cached data will be used after that unless user choose to flush the cache. This will speed up the report developing.

## paramBindings Property

A list of data set parameter binding elements that bind data set input parameters to BIRT expressions.

### Details

Type: | List of ParamBinding Structures
Since: | 1.0
Required: | No
Display Name: | Parameter bindings
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Hidden
Property Sheet Group: | Top

### Description

A list of data set parameter binding elements that bind data set input parameters to BIRT expressions. Each ParamBinding structure associates a parameter name with an expression.

BIRT differentiates between data set parameters and report parameters. Data set input parameters are not automatically exposed as report parameters. However, the report developer can define report parameters that match data set input parameters. In this case, data set input parameter binding associates data set input parameters with the values of report parameters.

The Data Set element provides a list of parameter binding elements that bind a value to each query parameter.

The bind expression frequently includes a reference to a report parameter, configuration variable, or a row in an outer query. However, the expression can include any valid JavaScript expression.

### See Also

`ParamBinding structure`

Report Item `paramBindings` property

## refTemplateParameter Property

Name of the template parameter definition.

### Details

Type: | TemplateParameterDefinition Reference
Since: | 2.0
Required: | No
Display Name: | Referred Template Parameter Definition
JavaScript Type: |
Default Value: | None
Inherited: | No
Runtime Settable: | No
Property Sheet Visibility: | Hidden
Property Sheet Group: | Top

### Description

when a data set is created from an template data set, this property will reference to the base data set.

# Method Detail

## afterClose Method

Called just after BIRT closes the data set. Allows the application to perform code-based cleanup.

### Synopsis

`None obj.afterClose( )`

### Details

Since: | 1.0
Context: | factory
Arguments: | None
Return Type: | None

### Description

Called just after BIRT closes the data set. Allows the application to perform code-based cleanup.

### See Also

`beforeClose` method

## afterOpen Method

Called just after BIRT opens the data set. Allows the application to perform any code-based initialization required for the data set.

### Synopsis

`None obj.afterOpen( )`

### Details

Since: | 1.0
Context: | factory
Arguments: | None
Return Type: | None

### Description

Called just after BIRT opens the data set. Allows the application to perform any code-based initialization required for the data set.

### See Also

`beforeOpen` method

## beforeClose Method

Called just before BIRT closes the data set. Allows the application to perform code-based cleanup.

### Synopsis

`None obj.beforeClose( )`

### Details

Since: | 1.0
Context: | factory
Arguments: | None
Return Type: | None

### Description

Called just before BIRT closes the data set. Allows the application to perform code-based cleanup.

### See Also

`afterClose` method

## beforeOpen Method

Called just before BIRT opens the data set. Allows the application to customize the data set properties.

### Synopsis

`None obj.beforeOpen( )`

### Details

Since: | 1.0
Context: | factory
Arguments: | None
Return Type: | None

### Description

Called just before BIRT opens the data set. Allows the application to customize the data set properties.

### See Also

`afterOpen` method

## onFetch Method

Called just after fetching each row before applying filters or calculating computed columns.

### Synopsis

`None obj.onFetch( )`

### Details

Since: | 1.0
Context: | factory
Arguments: | None
Return Type: | None

### Description

Called just after fetching each row before applying filters or calculating computed columns.

### See Also

`DataRow` scripting object